Supporting Previous Generations of iOS Devices

iCertifi can be used on any generation of iPhone, iPad or iPod Touch. If you current device does not support the latest version of iOS you will be given the option to download the last version compatible with your current device

Comments

Powered by Zendesk